API Guide Home (Online version only) |

# PmUIUtilLib.h File Reference

## Detailed Description

This is the public header for PmUIUtil library.

This library contains general utility functions that supplement OS functionality. That is, it contains functions that are general enough to be useful to many applications but weren't included in the OS utility functions for whatever reason.

Definition in file PmUIUtilLib.h.

Include dependency graph for PmUIUtilLib.h:

Go to the source code of this file.

## Functions

- Err PmUIUtilLibOpen (UInt16 refNum)
    Standard library open routine.
- Err PmUIUtilLibClose (UInt16 refNum)
    Standard library close routine.
- void PmUIUtilLstSetTempSelection (UInt16 refNum, const FormType *formP, UInt16 listID, Int16 itemNum)
- Int16 PmUIUtilLstGetTempSelection (UInt16 refNum, const FormType *formP, UInt16 listID)
- Err PmUIUtilAttrGet (UInt16 refNum, UInt16attr, UInt32 flags, UInt32 *valueP)
- Err PmUIUtilAttrSet (UInt16 refNum, UInt16attr, UInt32 flags, UInt32 value)
- void PmUIUtilNavGetFocusColor (UInt16 refNum, HsNavFocusColorEnum color, RGBColorType *rgbColorP)
- void PmUIUtilNavSetFocusColor (UInt16 refNum, HsNavFocusColorEnum color, RGBColorType *rgbColorP, RGBColorType *oldRgbColorP)

## Function Documentation

Err PmUIUtilAttrGet | ( | UInt16 | refNum,
|  | UInt16attr | ,
|  | UInt32 | flags,
|  | UInt32 * | valueP |
| ) |  |  |

Err PmUIUtilAttrSet | ( | UInt16 | refNum,
|  | UInt16attr | ,
|  | UInt32 | flags,
|  | UInt32 | value |
| ) |  |  |

Err PmUIUtilLibClose | ( | UInt16 | refNum | ) |

Standard library close routine.

Parameters:

  | refNum,: | IN: Library reference number

Return values:

  | Err | Error code

Err PmUIUtilLibOpen | ( | UInt16 | refNum | ) |

Standard library open routine.

Parameters:

  | refNum,: | IN: Library reference number

Return values:

  | Err | Error code

Int16 PmUIUtilLstGetTempSelection | ( | UInt16 | refNum,
|  | const FormType * | formP,
|  | UInt16 | listID |
| ) |  |  |

void PmUIUtilLstSetTempSelection | ( | UInt16 | refNum,
|  | const FormType * | formP,
|  | UInt16 | listID,
|  | Int16 | itemNum |
| ) |  |  |

void PmUIUtilNavGetFocusColor | ( | UInt16 | refNum,
|  | HsNavFocusColorEnum | color,
|  | RGBColorType * | rgbColorP |
| ) |  |  |

void PmUIUtilNavSetFocusColor | ( | UInt16 | refNum,
|  | HsNavFocusColorEnum | color,
|  | RGBColorType * | rgbColorP,
|  | RGBColorType * | oldRgbColorP |
| ) |  |  |

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:03 2008 for Palm API Guide